/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.user.keycloak;

import java.util.Map;

import io.quarkus.test.junit.QuarkusTestProfile;

public class KeycloakTestProfile implements QuarkusTestProfile {

	private final String userKey = "ozgcloud.keycloak.api.user";
	private final String userValue = "userManagerApiUser";

	private final String passwordKey = "ozgcloud.keycloak.api.password";
	private final String passwordValue = "hlc_j1I1Ji0trC0";

	private final String realmKey = "ozgcloud.keycloak.api.realm";
	private final String realmValue = "by-kiel-dev";

	private final String urlKey = "keycloak.url";
	private final String urlValue = "https://sso.dev.by.ozg-cloud.de";

	@Override
	public Map<String, String> getConfigOverrides() {
		return Map.of(userKey, userValue,
				passwordKey, passwordValue,
				realmKey, realmValue,
				urlKey, urlValue);
	}
}